Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class TileRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.TileRed

All Implemented Interfaces:
  RenderedImage, CachableRed, TileGenerator

    public class TileRed

extends AbstractRed
implements TileGenerator

This filter simply tiles its tile starting from the upper left corner of the tiled region.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`TileRed(RenderedImage tile, Rectangle tiledRegion)`
`TileRed(RenderedImage tile, Rectangle tiledRegion, int xStep, int yStep)`
`TileRed(RenderedImage tile, Rectangle tiledRegion, int xStep, int yStep, RenderingHints hints)`
`TileRed(RenderedImage tile, Rectangle tiledRegion, RenderingHints hints)`

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`protected void` | `fillOutRaster_FALLBACK(WritableRaster wr)`
`protected void` | `fillOutRaster_INT_PACK(WritableRaster wr)`
`protected void` | `fillOutRaster(WritableRaster wr)`
`WritableRaster` | `fillRasterFrom(WritableRaster wr, RenderedImage src)`
`protected static SampleModel` | `fixSampleModel(RenderedImage src, int stepX, int stepY, int width, int height)` This function 'fixes' the source's sample model.
`Raster` | `genTile(int x, int y)`
`Raster` | `getTile(int x, int y)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileRed

    public TileRed(RenderedImage tile,
                   Rectangle tiledRegion)

### TileRed

    public TileRed(RenderedImage tile,
                   Rectangle tiledRegion,
                   RenderingHints hints)

### TileRed

    public TileRed(RenderedImage tile,
                   Rectangle tiledRegion,
                   int xStep,
                   int yStep)

### TileRed

    public TileRed(RenderedImage tile,
                   Rectangle tiledRegion,
                   int xStep,
                   int yStep,
                   RenderingHints hints)

Method Detail

### copyData

    public WritableRaster copyData(WritableRaster wr)

  Specified by:
    `copyData` in interface `RenderedImage`

### getTile

    public Raster getTile(int x,
                          int y)

  Specified by:
    `getTile` in interface `RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### genTile

    public Raster genTile(int x,
                          int y)

  Specified by:
    `genTile` in interface `TileGenerator`

### fillRasterFrom

    public WritableRaster fillRasterFrom(WritableRaster wr,
                                         RenderedImage src)

### fillOutRaster

    protected void fillOutRaster(WritableRaster wr)

### fillOutRaster_INT_PACK

    protected void fillOutRaster_INT_PACK(WritableRaster wr)

### fillOutRaster_FALLBACK

    protected void fillOutRaster_FALLBACK(WritableRaster wr)

### fixSampleModel

    protected static SampleModel fixSampleModel(RenderedImage src,
                                                int stepX,
                                                int stepY,
                                                int width,
                                                int height)

  This function 'fixes' the source's sample model. right now it just ensures that the sample model isn't much larger than my width.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.